Name:		qubes-snapd-helper
Version:	1.0.1
Release:	1%{?dist}
Summary:	Helper for snapd to make snaps persistent in Qubes VMs

License:	GPL
URL:		https://www.qubes-os.org
Source0:	%{name}-%{version}.tar.gz
BuildArch:  noarch
%{?systemd_requires}
BuildRequires: systemd

%description
Helper scripts to make snaps persistent in Qubes VMs. This consists of two parts:
 - bind-dirs configuration to persist /var/lib/snapd and /snap
 - script to regenerate snap-*.mount unit files

%prep
%setup -q

%install
%make_install

%post
%systemd_post qubes-snapd-mount.service

%preun
%systemd_preun qubes-snapd-mount.service

%postun
%systemd_postun qubes-snapd-mount.service

%files
%{_unitdir}/qubes-snapd-mount.service
%{_unitdir}-preset/70-qubes-snapd.preset
/usr/lib/qubes/qubes-snapd-mount
/usr/lib/qubes-bind-dirs.d/30_snapd.conf

%changelog
* Mon Aug 26 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-snapd-helper

* Mon Aug 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c40d4b
- version 1.0.1

* Mon May 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 70b647e
- Merge remote-tracking branch 'origin/pr/1'

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 284c4b5
- travis: drop R3.2, add fc30 and buster

* Thu May 16 2019 Anastasia Cotorobai <cotorobai.anastasia@gmail.com> - cf0b6fc
- Fix Fedora target_dir symlink problem with respect to upstream

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3218e1b
- travis: initial version

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 418bb0b
- Add GPLv2+ license

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b381cfd
- Add Debian packaging

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef858fc
- Fix snap mount directory on Fedora, fix unit name escaping

* Fri Sep 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1549136
- Initial commit

